Bug 452416 - kmail crash when add new filter rule
Summary: kmail crash when add new filter rule
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.19.3
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2022-04-08 20:53 UTC by filip
Modified: 2022-06-06 21:11 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description filip 2022-04-08 20:53:51 UTC
Application: kmail (5.19.3 (21.12.3))

Qt Version: 5.15.2
Frameworks Version: 5.92.0
Operating System: Linux 5.17.1-1-default x86_64
Windowing System: X11
Distribution: "openSUSE Tumbleweed"
DrKonqi: 5.24.4 [KCrashBackend]

-- Information about the crash:
I have more than one filters to delete spam mails from spam folder.
Already configured filters work without any problems.
When i try to enter a new filter rule e.g. "From" contains "xyz.com" with Filter action "Delete"
kmail crashes always.

The crash can be reproduced every time.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Content of s_kcrashErrorMessage: std::unique_ptr<char []> = {get() = <optimized out>}
[KCrash Handler]
#6  QByteArray::QByteArray (a=..., this=0x7ffe35dc3408) at /usr/include/qt5/QtCore/qbytearray.h:524
#7  MailCommon::SearchRule::field (this=0x5634fd65b7da) at /usr/src/debug/mailcommon-21.12.3-1.2.x86_64/src/search/searchrule/searchrule.cpp:507
#8  0x00007fd0ee8d572b in MailCommon::SearchRuleWidget::setRule (this=0x56319e4cacd0, aRule=std::shared_ptr<MailCommon::SearchRule> (use count 2, weak count 0) = {...}) at /usr/include/c++/11/bits/shared_ptr_base.h:1295
#9  0x00007fd0ee8dfed1 in MailCommon::SearchRuleWidgetLister::setRuleList (aList=0x56319e239048, this=0x56319d45e260) at /usr/src/debug/mailcommon-21.12.3-1.2.x86_64/src/search/searchpatternedit.cpp:454
#10 MailCommon::SearchPatternEdit::setSearchPattern (this=0x56319d45bcc0, aPattern=0x56319e239048) at /usr/src/debug/mailcommon-21.12.3-1.2.x86_64/src/search/searchpatternedit.cpp:646
#11 0x00007fd0ee8a71ef in MailCommon::KMFilterDialog::slotFilterSelected (this=0x56319e105240, aFilter=0x56319e239040) at /usr/src/debug/mailcommon-21.12.3-1.2.x86_64/src/filter/kmfilterdialog.cpp:480
#12 0x00007fd0ef382503 in QtPrivate::QSlotObjectBase::call (a=0x7ffe35dc36b0, r=0x56319e105240, this=0x56319e200300) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#13 doActivate<false> (sender=0x56319d3e30a0, signal_index=10, argv=0x7ffe35dc36b0) at kernel/qobject.cpp:3886
#14 0x00007fd0ef37b9cf in QMetaObject::activate (sender=sender@entry=0x56319d3e30a0, m=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffe35dc36b0) at kernel/qobject.cpp:3946
#15 0x00007fd0ee86e3eb in MailCommon::KMFilterListBox::filterSelected (_t1=<optimized out>, this=0x56319d3e30a0) at /usr/src/debug/mailcommon-21.12.3-1.2.x86_64/build/src/KF5MailCommon_autogen/CSB7XD6IZM/moc_kmfilterlistbox.cpp:291
#16 MailCommon::KMFilterListBox::slotSelected (this=this@entry=0x56319d3e30a0, aIdx=5) at /usr/src/debug/mailcommon-21.12.3-1.2.x86_64/src/filter/kmfilterlistbox.cpp:407
#17 0x00007fd0ee871ae4 in MailCommon::KMFilterListBox::applyFilterChanged (this=0x56319d3e30a0, closeAfterSaving=<optimized out>) at /usr/src/debug/mailcommon-21.12.3-1.2.x86_64/src/filter/kmfilterlistbox.cpp:341
#18 0x00007fd0ee8a6c43 in MailCommon::KMFilterListBox::slotAccepted (this=<optimized out>) at /usr/src/debug/mailcommon-21.12.3-1.2.x86_64/src/filter/kmfilterlistbox.cpp:329
#19 MailCommon::KMFilterDialog::slotSaveSize (this=0x56319e105240) at /usr/src/debug/mailcommon-21.12.3-1.2.x86_64/src/filter/kmfilterdialog.cpp:466
#20 0x00007fd0ef382503 in QtPrivate::QSlotObjectBase::call (a=0x7ffe35dc3870, r=0x56319e105240, this=0x56319e201b90) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#21 doActivate<false> (sender=0x56319d3e7ae0, signal_index=9, argv=0x7ffe35dc3870) at kernel/qobject.cpp:3886
#22 0x00007fd0ef37b9cf in QMetaObject::activate (sender=sender@entry=0x56319d3e7ae0, m=m@entry=0x7fd0f041a4e0 <QAbstractButton::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7ffe35dc3870) at kernel/qobject.cpp:3946
#23 0x00007fd0effeff32 in QAbstractButton::clicked (this=this@entry=0x56319d3e7ae0, _t1=<optimized out>) at .moc/moc_qabstractbutton.cpp:308
#24 0x00007fd0efff01aa in QAbstractButtonPrivate::emitClicked (this=0x56319d5a2c20) at widgets/qabstractbutton.cpp:415
#25 0x00007fd0efff1d70 in QAbstractButtonPrivate::click (this=0x56319d5a2c20) at widgets/qabstractbutton.cpp:408
#26 0x00007fd0efff1f93 in QAbstractButton::mouseReleaseEvent (this=0x56319d3e7ae0, e=0x7ffe35dc3e10) at widgets/qabstractbutton.cpp:1044
#27 0x00007fd0eff3e8de in QWidget::event (this=0x56319d3e7ae0, event=0x7ffe35dc3e10) at kernel/qwidget.cpp:9020
#28 0x00007fd0efefca7f in QApplicationPrivate::notify_helper (this=this@entry=0x563197c9e850, receiver=receiver@entry=0x56319d3e7ae0, e=e@entry=0x7ffe35dc3e10) at kernel/qapplication.cpp:3632
#29 0x00007fd0eff04584 in QApplication::notify (this=<optimized out>, receiver=0x56319d3e7ae0, e=0x7ffe35dc3e10) at kernel/qapplication.cpp:3076
#30 0x00007fd0ef34be3a in QCoreApplication::notifyInternal2 (receiver=0x56319d3e7ae0, event=0x7ffe35dc3e10) at kernel/qcoreapplication.cpp:1064
#31 0x00007fd0eff03093 in QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x56319d3e7ae0, event=event@entry=0x7ffe35dc3e10, alienWidget=alienWidget@entry=0x56319d3e7ae0, nativeWidget=0x56319e105240, buttonDown=<optimized out>, lastMouseReceiver=..., spontaneous=true, onlyDispatchEnterLeave=false) at kernel/qapplication.cpp:2614
#32 0x00007fd0eff579dc in QWidgetWindow::handleMouseEvent (this=0x56319e8820b0, event=0x7ffe35dc40e0) at kernel/qwidgetwindow.cpp:683
#33 0x00007fd0eff5adf5 in QWidgetWindow::event (this=0x56319e8820b0, event=0x7ffe35dc40e0) at kernel/qwidgetwindow.cpp:300
#34 0x00007fd0efefca7f in QApplicationPrivate::notify_helper (this=<optimized out>, receiver=0x56319e8820b0, e=0x7ffe35dc40e0) at kernel/qapplication.cpp:3632
#35 0x00007fd0ef34be3a in QCoreApplication::notifyInternal2 (receiver=0x56319e8820b0, event=0x7ffe35dc40e0) at kernel/qcoreapplication.cpp:1064
#36 0x00007fd0ef7aa627 in QGuiApplicationPrivate::processMouseEvent (e=0x7fd0a0017460) at kernel/qguiapplication.cpp:2282
#37 0x00007fd0ef78085c in QWindowSystemInterface::sendWindowSystemEvents (flags=flags@entry=...) at kernel/qwindowsysteminterface.cpp:1169
#38 0x00007fd0e1997e0a in xcbSourceDispatch (source=<optimized out>) at qxcbeventdispatcher.cpp:105
#39 0x00007fd0e8ff6122 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#40 0x00007fd0e8ff64b8 in ?? () from /lib64/libglib-2.0.so.0
#41 0x00007fd0e8ff656f in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#42 0x00007fd0ef3a3384 in QEventDispatcherGlib::processEvents (this=0x563197d82b90, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#43 0x00007fd0ef34a83b in QEventLoop::exec (this=this@entry=0x7ffe35dc4410, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#44 0x00007fd0ef352b10 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#45 0x00007fd0ef79e25c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1867
#46 0x00007fd0efefc9f5 in QApplication::exec () at kernel/qapplication.cpp:2824
#47 0x0000563196ac943a in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kmail-21.12.3-1.1.x86_64/src/main.cpp:173
[Inferior 1 (process 4679) detached]

Possible duplicates by query: bug 412839, bug 351618, bug 279307.

Reported using DrKonqi
Comment 1 filip 2022-04-30 17:47:48 UTC
Same Problem with the new framework and Applikation Version
See BUG report 543237 (sorry... drkonqi has created a new BUG report)
Comment 2 filip 2022-04-30 17:49:20 UTC
(In reply to filip from comment #1)
> Same Problem with the new framework and Applikation Version
> See BUG report 543237 (sorry... drkonqi has created a new BUG report)

New BUG report => 453237
Comment 3 filip 2022-06-06 21:09:33 UTC
The problem no longer exists.
In the current version KMail 5.20.1 (22.04.1) with Framework 5.94.0 the crash does not occur anymore.
In addition, I had recreated the last filter list. Perhaps this also contributed to the problem solution.
Comment 4 filip 2022-06-06 21:11:14 UTC
The problem no longer exists.